Bug 914310 - perl-Padre: FTBFS in rawhide
perl-Padre: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Padre (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
: 992706 (view as bug list)
Depends On:
Blocks: F19FTBFS F20FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 05:00 EST by Dennis Gilmore
Modified: 2014-04-02 03:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Padre-0.90-10.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-02 03:03:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix ported from upstream (9.99 KB, patch)
2013-10-15 10:20 EDT, Petr Pisar
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2013-02-22 05:00:11 EST
Your package perl-Padre failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4973453

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/3453/4973453/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/3453/4973453/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/3453/4973453/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Toshio Ernie Kuratomi 2013-03-10 12:14:04 EDT
More recent build with build.log still intact:

http://koji.fedoraproject.org/koji/buildinfo?buildID=400471


This appears to be the problem:

Static Padre::DB->delete has been deprecated at t/60-db.t line 37.
# Looks like you planned 6 tests but ran 4.
# Looks like your test exited with 2 just after 4.
t/60-db.t .................. 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/6 subtests 

[...]

Test Summary Report
-------------------
t/27_task_signal.t       (Wstat: 0 Tests: 16 Failed: 0)
  TODO passed:   15
t/60-db.t                (Wstat: 512 Tests: 4 Failed: 0)
  Non-zero exit status: 2
  Parse errors: Bad plan.  You planned 6 tests but ran 4.
Files=46, Tests=1067, 77 wallclock secs ( 0.28 usr  0.07 sys + 18.54 cusr  2.03 csys = 20.92 CPU)
Result: FAIL
Failed 1/46 test programs. 0/1067 subtests failed.
make: *** [test_dynamic] Error 255
Comment 2 Fedora End Of Life 2013-04-03 12:24:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora Admin XMLRPC Client 2013-08-12 08:12:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Petr Pisar 2013-10-03 05:42:49 EDT
*** Bug 992706 has been marked as a duplicate of this bug. ***
Comment 5 Petr Pisar 2013-10-15 09:16:27 EDT
The t/60-db.t, moved to t/03_db.t in newer code, failure has been fixed with upstream SVN commit r18434:

r18434 | adamk | 2012-02-27 04:08:03 +0100 (Po, 27 úno 2012) | 1 line
Migrating to the delete_where method for bulk deletion to align with ORLite 2.0

The project Changes reads: Migrating to new ORLite 2.0 API
Comment 6 Petr Pisar 2013-10-15 10:20:52 EDT
Created attachment 812545 [details]
Fix ported from upstream
Comment 7 Fedora Update System 2013-10-15 10:44:25 EDT
perl-Padre-0.90-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Padre-0.90-10.fc20
Comment 8 Fedora Update System 2013-10-15 10:44:46 EDT
perl-Padre-0.90-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Padre-0.90-9.fc19
Comment 9 Fedora Update System 2013-10-29 21:51:39 EDT
perl-Padre-0.90-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-11-10 02:00:42 EST
perl-Padre-0.90-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.